<?php

declare(strict_types=1);

namespace App\Dictionary\EHealthCard;

/**
 * 电子健康卡 - 二维码类型
 */
enum CodeType: int
{
    case DYNAMIC_CODE = 0;

    case STATICS_CODE = 1;

    /**
     * Label string
     */
    public function label(): string
    {
        return match ($this) {
            self::DYNAMIC_CODE => '动态码',
            self::STATICS_CODE => '静态码',
        };
    }
}
