<?php

return [
    // 所有支付超时时间 单位 秒
    'overtime' => 120,

    // 微信
    'wechat' => [
        // 公众号 APPID
        'app_id' => '',

        // 小程序 APPID
        'miniapp_id' => '',

        // APP 引用的 APPID
        'appid' => '',

        // 子商户 APP APPID
        'sub_appid' => '',

        // 微信支付分配的微信商户号
        'mch_id' => '',

        // 子商户商户号
        'sub_mch_id' => '',

        // 微信支付异步通知地址
        'notify_url' => '',

        // 微信支付签名秘钥
        'key' => 'MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCB',

        // 客户端证书路径，退款、红包等需要用到。请填写绝对路径，linux 请确保权限问题。pem 格式。
        'cert_client' => base_path('pem'. DIRECTORY_SEPARATOR. 'apiclient_cert.pem'),

        // 客户端秘钥路径，退款、红包等需要用到。请填写绝对路径，linux 请确保权限问题。pem 格式。
        'cert_key' => base_path('pem'. DIRECTORY_SEPARATOR. 'apiclient_key.pem'),

        // optional 服务商模式
        'mode' => 'service',

        // optional，默认 warning；日志路径为：sys_get_temp_dir().'/logs/yansongda.pay.log'
        'log' => [ // optional
            'file' => storage_path('/logs/wechat.log'),
            'level' => 'info', // 建议生产环境等级调整为 info，开发环境为 debug
            'type' => 'daily', // optional, 可选 daily， daily 时将按时间自动划分文件.
        ],

        // http, 请求option配置 更多配置项请参考 Guzzle 文档
        'http' => [
            'verify' => false,
            'timeout'         => 20, // 超时时间 20s
            'connect_timeout' => 5.0, // 连接时间 5s
        ],
    ],

];
